Subject: [IPP] What does staple-top-left actually mean?

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Thu, 27 Aug 2020 16:38:41 +0000

Can someone direct me to the IPP spec that defines (for example) when staple-top-left is specified, what location on the LEF, SEF, portrait or landscape media should the staple actually be placed?

Trying to make sure I see consistency between a MOPRIA, AirPrint and generic IPP request, and the output generated (where the staple is placed).

Tried to discern this from the IPP Finishings spec and could not find it.

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
26600 SW Parkway Ave.
Wilsonville, OR 97070-9251
Phone: (585) 314-6936
Email: [email-masked]

"The realization came over me with full force that a good part of the remainder of my life was going to be spent in finding errors in my own programs."
-Maurice Wilkes, Memoirs of a Computer Pioneer
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Thu, 27 Aug 2020 16:46:08 +0000

Never mind, found it in RFC 8011 section 5.2.6 (right after I sent out previous email of course)

Thanks,
Chris

Christopher Rizzo
Xerox Corporation

From: Christopher Rizzo <[email-masked]>
Date: Thursday, August 27, 2020 at 9:38 AM
To: PWG Workgroup <[email-masked]>
Subject: What does staple-top-left actually mean?

Thanks,
Chris

Christopher Rizzo
Xerox Corporation

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 27 Aug 2020 17:31:00 +0000

HI Chris,

Even though you found your answer in STD92, this is in fact covered in a number of sections of PWG 5100.1-2017 "IPP Finishings 2.1".

Section 1 says this:

The coordinate system scheme used in this specification agrees with the Finisher MIB [RFC3806], which in turn follows the ISO DPA [ISO10175] approach of using a coordinate system as if the document were portrait. The approach for coordinate system being relative to the intended reading direction depends on the device being able to understand the orientation embedded in the PDL, which is too problematic for many PDLs. The approach for the coordinate system of being relative to the media feed direction is too dependent on the way the device is configured, i.e., pulling short edge first vs. long edge first, and can vary between different output bins in the same device.

Section 4 says: "As in [RFC3806], all IPP finishing processes are specified with respect to portrait media orientation."

And section 5.1 "finishings (1setOf type2 enum)" says this:

The positional values are specified with respect to the Document as if the Document were a portrait Document. If the Document is actually a landscape or a reverse-landscape Document, the Client supplies the appropriate transformed value. For example, to position a staple in the upper left hand corner of a landscape Document when held for reading, the Client supplies the ‘staple-bottom-left’ value since landscape is defined as an anti-clockwise rotation from portrait. On the other hand, to position a staple in the upper left hand corner of a reverse-landscape Document when held for reading, the Client supplies the ‘staple-top- right’ value since reverse-landscape is defined as a clockwise rotation from portrait. Figure 2 shows how content is placed on sheets for each "orientation-requested" value where "feed- orientation" is 'short-edge-first'. Figure 3 shows how content is placed on sheets for each "orientation-requested" value where "feed-orientation" is 'long-edge-first'. If the Printer supports "media-col-ready" and / or "media-col-database", the Client could discover the media feed orientation and direction by checking the values of the "media-source-feed- orientation" and "media-source-feed-direction" sub-member attributes of "media-col".

Maybe you were reading an earlier draft of 5100.1?

Smith

/**
    Smith Kennedy
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

> On Aug 27, 2020, at 10:46 AM, Rizzo, Christopher via ipp <[email-masked]> wrote:
> 
> Email: [email-masked] <mailto:[email-masked]>
> 
> From: Christopher Rizzo <[email-masked] <mailto:[email-masked]>>
> To: PWG Workgroup <[email-masked] <mailto:[email-masked]>>
> Email: [email-masked] <mailto:[email-masked]>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>

---

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Thu, 27 Aug 2020 17:42:02 +0000

Thank you Smith.

I should have traversed the entire Finishings document with a "finishings" search. I must not have done that.  I did a search for "staple-top-left" and "staple" but must have gone thru it too fast and missed the critical paragraph.  My bad for trying to find it too "fast".

Sometimes trying to figure out where finishings go is like playing Pin the Tail on the Donkey, I get spun around and have to figure out how things are oriented.

But after reading Finishings 5.1 and RFC 8011 5.2.6, I think these are the best and easiest explanations possible.  As Uli pointed out, there are lots of orientation and mixed document and physical limitations issues, but I think if top-left refers to top-left of media viewed in portrait orientation, that makes perfect sense, even in a mixed orientation job.

Thanks again!
Chris

Christopher Rizzo
Xerox Corporation

From: "Kennedy, Smith (Wireless & IPP Standards)" <[email-masked]>
Date: Thursday, August 27, 2020 at 10:32 AM
To: Christopher Rizzo <[email-masked]>
Cc: PWG Workgroup <[email-masked]>
Subject: Re: [IPP] What does staple-top-left actually mean?

HI Chris,

Section 1 says this:

Smith

/**
    Smith Kennedy

On Aug 27, 2020, at 10:46 AM, Rizzo, Christopher via ipp <[email-masked]<mailto:[email-masked]>> wrote:

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
26600 SW Parkway Ave.
Wilsonville, OR 97070-9251
Phone: (585) 314-6936
Email: [email-masked]<mailto:[email-masked]>

From: Christopher Rizzo <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 27, 2020 at 9:38 AM
To: PWG Workgroup <[email-masked]<mailto:[email-masked]>>
Subject: What does staple-top-left actually mean?

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
26600 SW Parkway Ave.
Wilsonville, OR 97070-9251
Phone: (585) 314-6936
Email: [email-masked]<mailto:[email-masked]>

[email-masked]<mailto:[email-masked]>